Status: Open

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.7(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25700

Description

Add pages to a layout

Create guides on any of the pages

Check the Guides panel: it shows a "Guides for page 1" label, which will list no guides if you did not add the guides to the first page.

And as far as I can see,

- there's no way to access guides from other pages

- there's no way to remove guides from the other pages (unless you use the "Clear guides" entry from View menu, deleting ALL guides)

History

#1 - 2018-01-05 04:06 PM - Harrissou Santanna

- Description updated

#2 - 2018-01-05 09:09 PM - Nyall Dawson

- Status changed from Open to Feedback

The guide editor shows the guides on the current page - try moving the view to another page and you'll see the listed guides change

#3 - 2018-01-08 11:03 AM - Harrissou Santanna

Ok, I try moving the view to another page.

Found out that when moving from page to page, the Guides panel label indeed updates according to the page that has the biggest part visible in the layout

canvas. This means that when you zoom full:

    -  if you have different sizes of pages: you get the guides from the (first page of the) biggest page format;

    -  if you have same paper size, you always get the page 1 guides.

This also means that if you need information on a particular page's guides, you would need to zoom to that page before you get this info.

I wonder if we can improve the UX. How about (just some (wild?) ideas - may be contradictory):

    -  a guide panel entry in the page contextual menu which will show current "active" page guide (the same way you get that page properties)?

    -  A next/previous button in the Guides panel to cycle through the pages and show their guides. I guess instead of a label, the page number would be in a

lineedit widget to have it hand written for quick steps

    -  (here, the current behavior changes) Show guides for the current selected page (the one I last clicked on) and update the guides accordingly (maybe

we can trigger the updates only if the panel is visible).

Note that guides are not priority features for me but, as we look for perfection, just throwing some ideas for the future...

HTH
#4 - 2018-01-28 11:13 AM - Harrissou Santanna

- Status changed from Feedback to Open

#5 - 2019-03-09 04:34 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#6 - 2019-03-09 07:10 PM - Harrissou Santanna

- Affected QGIS version changed from master to 3.7(master)

- Status changed from Feedback to Open
